> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Time Tracking Settings

> Returns org time-tracking config, effective per-country rules with counts, and schedule templates.

Required scope: `time:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-org-time-tracking-settings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-org-time-tracking-settings:
    get:
      operationId: getOrgTimeTrackingSettings
      summary: Get Org Time Tracking Settings
      x-toku-required-scope: time:read
      description: >-
        Returns org time-tracking config, effective per-country rules with
        counts, and schedule templates.


        Required scope: `time:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrgTimeTrackingSettingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOrgTimeTrackingSettingsResponse:
      type: object
      properties:
        isTimeTrackingEnabled:
          type: boolean
        canSetBeyondCountryRule:
          type: boolean
        config:
          type: object
          properties:
            clockWidgetEnabled:
              type: boolean
            weekStartsOn:
              type: number
            breakTrackingMode:
              type: string
            manualEntryGraceDays:
              type: number
            signoffEscalationDays:
              type: number
            defaultScheduleTemplateID:
              type:
                - string
                - 'null'
          required:
            - clockWidgetEnabled
            - weekStartsOn
            - breakTrackingMode
            - manualEntryGraceDays
            - signoffEscalationDays
            - defaultScheduleTemplateID
        countries:
          type: array
          items:
            type: object
            properties:
              countryCode:
                type: string
              status:
                type: string
              maxDailyHours:
                type:
                  - number
                  - 'null'
              maxWeeklyHours:
                type:
                  - number
                  - 'null'
              minDailyRestHours:
                type:
                  - number
                  - 'null'
              minWeeklyRestHours:
                type:
                  - number
                  - 'null'
              breakThresholdHours:
                type:
                  - number
                  - 'null'
              breakDurationMinutes:
                type:
                  - number
                  - 'null'
              shortBreakPay:
                type: string
              mealBreakPay:
                type: string
              recordRetentionYears:
                type:
                  - number
                  - 'null'
              requiresPayrollIntegration:
                type: boolean
              autopilotEligible:
                type: boolean
              standardDailyHours:
                type:
                  - number
                  - 'null'
              standardWeeklyHours:
                type:
                  - number
                  - 'null'
              overtimeBasis:
                type: string
              submissionCadence:
                type:
                  - string
                  - 'null'
              submissionDeadlineDays:
                type:
                  - number
                  - 'null'
              submissionScheduleFrom:
                type:
                  - string
                  - 'null'
              approvalFlow:
                type: string
              countryRule:
                type: object
                properties:
                  maxDailyHours:
                    type:
                      - number
                      - 'null'
                  maxWeeklyHours:
                    type:
                      - number
                      - 'null'
                  minDailyRestHours:
                    type:
                      - number
                      - 'null'
                  minWeeklyRestHours:
                    type:
                      - number
                      - 'null'
                  standardDailyHours:
                    type:
                      - number
                      - 'null'
                  standardWeeklyHours:
                    type:
                      - number
                      - 'null'
                  shortBreakPay:
                    type: string
                  mealBreakPay:
                    type: string
                required:
                  - maxDailyHours
                  - maxWeeklyHours
                  - minDailyRestHours
                  - minWeeklyRestHours
                  - standardDailyHours
                  - standardWeeklyHours
                  - shortBreakPay
                  - mealBreakPay
              override:
                type:
                  - object
                  - 'null'
                properties:
                  maxDailyHours:
                    type:
                      - number
                      - 'null'
                  maxWeeklyHours:
                    type:
                      - number
                      - 'null'
                  minDailyRestHours:
                    type:
                      - number
                      - 'null'
                  minWeeklyRestHours:
                    type:
                      - number
                      - 'null'
                  standardDailyHours:
                    type:
                      - number
                      - 'null'
                  standardWeeklyHours:
                    type:
                      - number
                      - 'null'
                  shortBreakPay:
                    type:
                      - string
                      - 'null'
                  mealBreakPay:
                    type:
                      - string
                      - 'null'
                required:
                  - maxDailyHours
                  - maxWeeklyHours
                  - minDailyRestHours
                  - minWeeklyRestHours
                  - standardDailyHours
                  - standardWeeklyHours
                  - shortBreakPay
                  - mealBreakPay
              overrideNotes:
                type:
                  - string
                  - 'null'
              hasOrgOverride:
                type: boolean
              employeeCount:
                type: number
              trackedEmployeeCount:
                type: number
            required:
              - countryCode
              - status
              - maxDailyHours
              - maxWeeklyHours
              - minDailyRestHours
              - minWeeklyRestHours
              - breakThresholdHours
              - breakDurationMinutes
              - shortBreakPay
              - mealBreakPay
              - recordRetentionYears
              - requiresPayrollIntegration
              - autopilotEligible
              - standardDailyHours
              - standardWeeklyHours
              - overtimeBasis
              - submissionCadence
              - submissionDeadlineDays
              - submissionScheduleFrom
              - approvalFlow
              - countryRule
              - override
              - overrideNotes
              - hasOrgOverride
              - employeeCount
              - trackedEmployeeCount
        templates:
          type: array
          items:
            type: object
            properties:
              timeTrackingScheduleTemplateID:
                type: string
              name:
                type: string
              countryCode:
                type:
                  - string
                  - 'null'
              isActive:
                type: boolean
              days:
                type: array
                items:
                  type: object
                  properties:
                    dayOfWeek:
                      type: number
                    workStart:
                      type: string
                    workEnd:
                      type: string
                    breakStart:
                      type:
                        - string
                        - 'null'
                    breakEnd:
                      type:
                        - string
                        - 'null'
                  required:
                    - dayOfWeek
                    - workStart
                    - workEnd
              assignedEmployeeCount:
                type: number
            required:
              - timeTrackingScheduleTemplateID
              - name
              - countryCode
              - isActive
              - days
              - assignedEmployeeCount
      required:
        - isTimeTrackingEnabled
        - canSetBeyondCountryRule
        - config
        - countries
        - templates
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
